/*
 * Arrebol Consultancy copyright.
 *
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.controller.mobile.repository.views;

import com.arrebol.apc.controller.mobile.repository.GenericRepository;
import com.arrebol.apc.model.ModelParameter;
import com.arrebol.apc.model.views.CustomerWithoutRenovationView;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public class CustomerWithoutRenovationViewRepository extends GenericRepository implements Serializable {

   /**
    *
    * @param xmlQuery
    * @param parameters
    * @return
    * @throws Exception
    */
   public List<CustomerWithoutRenovationView> nonRenewingCustomersByRuteId(String xmlQuery, List<ModelParameter> parameters) throws Exception {
      logger.debug("nonRenewingCustomersByRuteId");
      List<CustomerWithoutRenovationView> results = new ArrayList<>();

      try {
         results = createNamedQueryResultList(
                 CustomerWithoutRenovationView.class,
                 xmlQuery,
                 parameters
         );

      } catch (Exception e) {
         logger.error("nonRenewingCustomersByRuteId", e);
         throw e;
      }

      return results;
   }

   private static final long serialVersionUID = 5669198954766725476L;
   final Logger logger = LogManager.getLogger(CustomerWithoutRenovationViewRepository.class);

}
